FreeMat

- Main Page
- Related Pages

vtkImageStencilSource

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageStencilSource is a superclass for filters that generate image stencils. Given a clipping object such as a vtkImplicitFunction, it will set up a list of clipping extents for each x-row through the image data. The extents for each x-row can be retrieved via the GetNextExtent() method after the extent lists have been built with the BuildExtents() method. For large images, using clipping extents is much more memory efficient (and slightly more time-efficient) than building a mask. This class can be subclassed to allow clipping with objects other than vtkImplicitFunction.

To create an instance of class vtkImageStencilSource, simply invoke its constructor as follows

      obj = vtkImageStencilSource

# Methods

The class vtkImageStencilSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageStencilSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageStencilSource = obj.NewInstance ()`
- `vtkImageStencilSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutput (vtkImageStencilData output)` - Get or set the output for this source.
- `vtkImageStencilData = obj.GetOutput ()` - Get or set the output for this source.